> ## Documentation Index
> Fetch the complete documentation index at: https://docs.twixb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Newsfeed

> Update newsfeed settings.

# Update Newsfeed

<div className="method-badge put">PUT</div> `/v1/newsfeeds/{id}`

## Path parameters

| Parameter | Type          | Description |
| --------- | ------------- | ----------- |
| `id`      | string (UUID) | Newsfeed ID |

## Request body

All fields are optional. Only include the fields you want to update.

| Field              | Type      | Description                      |
| ------------------ | --------- | -------------------------------- |
| `name`             | string    | Newsfeed name                    |
| `keywords`         | string\[] | Keywords to filter posts         |
| `description`      | string    | Description                      |
| `business_context` | string    | Business context for AI insights |
| `digest_frequency` | string    | `daily` or `weekly`              |

```bash theme={null}
curl -X PUT https://twixb.com/api/v1/newsfeeds/28b37688-... \
  -H "X-API-Key: twxb_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"name": "AI & ML Research", "keywords": ["LLM", "GPT", "diffusion"]}'
```

## Response

Returns the updated newsfeed object.
